## ros-indigo-rocon-concert 0.6.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rocon_concert)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-rocon-concert (0.6.11-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.10-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.9-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.8-1trusty) trusty; urgency=high

  * add concert_software_farmer is missing dependency clsoses #289 <https://github.com/robotics-in-concert/rocon_concert/issues/289>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.7-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.6-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.5-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.4-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.3-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-rocon-concert (0.6.2-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-rocon-concert (0.6.1-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-concert (0.6.0-1trusty) trusty; urgency=high

  * interactions moved to rocon_tools, also updates for the rocon_utilities breakup.
  * concert_service_roslaunch -> concert_service_link_graph.
  * concert_roles -> rocon_interactions
  * remove legacy references to concert_orchestra.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-concert (0.5.5-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-rocon-concert (0.5.4-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 18 Jul 2013 15:00:00 -0000

ros-indigo-rocon-concert (0.5.3-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-rocon-concert (0.5.2-1trusty) trusty; urgency=high

  * adding rocon_tf_reconstructor in meta pkg
  * 0.5.1
  * 0.5.0

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 Jun 2013 15:00:00 -0000

ros-indigo-rocon-concert (0.5.1-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:46:00 -0000

ros-indigo-rocon-concert (0.5.0-1trusty) trusty; urgency=high

  * rocon_orchestra -> concert_orchestra
  * adding buildtool depend
  * 0.4.0
  * adding CMakelist for meta pkg

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 01:48:00 -0000

ros-indigo-rocon-concert (0.3.0-1trusty) trusty; urgency=high

  * remove confusing metapackage dependencies.
  * Merge branch 'groovy-devel' of https://github.com/robotics-in-concert/rocon_concert into groovy-devel
  * updating jihoon e-mail
  * no more concert client

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-rocon-concert (0.2.0-1trusty) trusty; urgency=high

  * rocon_orchestration->rocon_concert

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Jan 2013 15:00:00 -0000

ros-indigo-rocon-concert (0.1.1-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-indigo-rocon-concert (0.1.0-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Apr 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-rocon-concert
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://www.ros.org/wiki/rocon_concert
Standards-Version: 3.9.2

Package: ros-indigo-rocon-concert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-conductor, ros-indigo-concert-master, ros-indigo-concert-schedulers, ros-indigo-concert-service-link-graph, ros-indigo-concert-service-manager, ros-indigo-concert-service-utilities, ros-indigo-concert-software-farmer, ros-indigo-concert-utilities, ros-indigo-rocon-tf-reconstructor
Description: The concert framework modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-concert//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
